/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.common.db.tree;

import net.northking.cctp.common.db.entity.Entity;

/**
 * 树型结构的实体类接口
 *
 * @author : xiusong.xie
 * @version : 1.0
 */
public interface EntityTree extends Entity
{
  String getId();

  void setId(String Id);
  /**
   * 上级ID<br>
   */
  String getParentId();

  /**
   * 上级ID<br>
   *
   * @param parentId 上级机构ID
   */
  void setParentId(String parentId);

  /**
   * 树形层级<br>
   */
  Integer getLevelNo();

  /**
   * 树形层级<br>
   *
   * @param levelNo 机构级别
   */
  void setLevelNo(Integer levelNo);

  /**
   * 同级节点之间的顺序号<br>
   */
  Integer getIdx();

  /**
   * 同级节点之间的顺序号<br>
   *
   * @param idx 同级节点之间的顺序号
   */
  void setIdx(Integer idx);

  /**
   * 是否叶子<br>
   */
  Boolean getLeaf();

  /**
   * 是否叶子<br>
   *
   * @param leaf 是否叶子
   */
  void setLeaf(Boolean leaf);

  /**
   * 节点的路径<br>
   */
  String getPath();

  /**
   * 节点的路径<br>
   *
   * @param path 节点的路径
   */
  void setPath(String path);
}
